# Users API
- **OpenAPI Version:** `3.1.1`
- **API Version:** `2`
The User APIs allow developers to programatically access data related to users, groups, and contact groups.
## Servers
- **URL:** `https://api.zoom.us/v2`
## Operations
### List contact groups
- **Method:** `GET`
- **Path:** `/contacts/groups`
- **Tags:** Contact Groups
List [contact groups](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under an account.
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:read:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Medium`
#### Parameters
##### `page_size`
- **In:** `query`
The number of records returned with a single API call.
`integer`, default: `10`
##### `next_page_token`
- **In:** `query`
The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` List of contact groups returned.
###### Content-Type: application/json
- **`groups`**
`array` — List of contact group objects.
**Items:**
- **`description`**
`string` — The group description.
- **`group_id`**
`string` — The group ID.
- **`group_name`**
`string` — The group name.
- **`group_privacy`**
`integer`, possible values: `1, 2, 3` — The contact group privacy configuration: \`1\` - Visible to anyone, searchable by anyone. \`2\` - Visible to members only, searchable by anyone. \`3\` - Visible to members only, searchable by members only.
- **`next_page_token`**
`string` — The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
- **`page_size`**
`integer` — The number of records returned within a single API call.
**Example:**
```json
{
"groups": [
{
"group_id": "dir.JquKVDGlQ9K6S0QVWGcysw",
"group_name": "Developers",
"group_privacy": 1,
"description": "A contact group for office A"
}
],
"next_page_token": "R4aF9Oj0fVM2hhezJTEmSKaBSkfesDwGy42",
"page_size": 10
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Create a contact group
- **Method:** `POST`
- **Path:** `/contacts/groups`
- **Tags:** Contact Groups
Use this API to create a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management).
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Heavy`
#### Request Body
##### Content-Type: application/json
- **`description`**
`string` — The group description.
- **`group_members`**
`array`
**Items:**
- **`id`**
`string` — The member ID: user ID (\`user\`) or user group ID (\`user group\`).
- **`type`**
`integer`, possible values: `1, 2` — Contact group member types: \`1\` - user. \`2\` - user group.
- **`group_name`**
`string` — The contact group's name.
- **`group_privacy`**
`integer`, possible values: `1, 2, 3` — Contact group privacy configuration: \`1\` - Visible to anyone, searchable by anyone. \`2\` - Visible to members only, searchable by anyone. \`3\` - Visible to members only, searchable by members only.
**Example:**
```json
{
"group_name": "Developers",
"group_privacy": 1,
"description": "A contact group.",
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ"
}
]
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` Group created.
###### Content-Type: application/json
- **`description`**
`string` — The group description.
- **`group_id`**
`string` — The contact group ID.
- **`group_name`**
`string` — The contact group's name.
- **`group_privacy`**
`integer`, possible values: `1, 2, 3` — Contact group privacy configuration: \`1\` - Visible to anyone, searchable by anyone. \`2\` - Visible to members only, searchable by anyone. \`3\` - Visible to members only, searchable by members only.
- **`total_members`**
`integer` — The contact group's total member count.
**Example:**
```json
{
"group_id": "A4ql1FjgL913r",
"group_name": "Developers",
"total_members": 34,
"group_privacy": 1,
"description": "A contact group."
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}\
\*\*Error Code:\*\* \`300\` \
The maximum number of user member per request is 50.\
\*\*Error Code:\*\* \`300\` \
The maximum number of group member per request is 3.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Get a contact group
- **Method:** `GET`
- **Path:** `/contacts/groups/{groupId}`
- **Tags:** Contact Groups
Get a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under an account.
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Light`
#### Parameters
##### `groupId` required
- **In:** `path`
The contact group ID.
Retrieve by calling the [**List contact groups**](/docs/api-reference/zoom-api/methods#operation/contactGroups) API.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Group returned.
###### Content-Type: application/json
- **`description`**
`string` — The group description.
- **`group_id`**
`string` — The group ID.
- **`group_name`**
`string` — The group name.
- **`group_privacy`**
`integer`, possible values: `1, 2, 3` — The contact group privacy configuration: \`1\` - Visible to anyone, searchable by anyone. \`2\` - Visible to members only, searchable by anyone. \`3\` - Visible to members only, searchable by members only.
- **`total_members`**
`integer` — The total number of members in a contact group.
**Example:**
```json
{
"group_id": "dir.JquKVDGlQ9K6S0QVWGcysw",
"group_name": "Developers",
"total_members": 10,
"group_privacy": 1,
"description": "A contact group for office A"
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Delete a contact group
- **Method:** `DELETE`
- **Path:** `/contacts/groups/{groupId}`
- **Tags:** Contact Groups
Use this API to delete a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-).
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Heavy`
#### Parameters
##### `groupId` required
- **In:** `path`
The contact group ID.
Retrieve by calling the [**List contact groups**](/docs/api-reference/zoom-api/methods#operation/contactGroups) API.
`string`
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` Group deleted.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account,{accountId}.\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Update a contact group
- **Method:** `PATCH`
- **Path:** `/contacts/groups/{groupId}`
- **Tags:** Contact Groups
Update a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under your account.
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `Heavy`
#### Parameters
##### `groupId` required
- **In:** `path`
The contact group ID.
Retrieve by calling the [**List contact groups**](/docs/api-reference/zoom-api/methods#operation/contactGroups) API.
`string`
#### Request Body
##### Content-Type: application/json
- **`description`**
`string` — The group description.
- **`name`**
`string` — The contact group's name.
- **`privacy`**
`integer`, possible values: `1, 2, 3` — Contact group privacy configuration: \`1\` - Visible to anyone, searchable by anyone. \`2\` - Visible to members only, searchable by anyone. \`3\` - Visible to members only, searchable by members only.
**Example:**
```json
{
"name": "Developers",
"privacy": 1,
"description": "A contact group."
}
```
#### Responses
##### Status: 204 Contact group updated.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### List contact group members
- **Method:** `GET`
- **Path:** `/contacts/groups/{groupId}/members`
- **Tags:** Contact Groups
List members in [contact groups](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under an account.
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:read:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
`string`
##### `page_size`
- **In:** `query`
The number of records returned with a single API call.
`integer`, default: `10`
##### `next_page_token`
- **In:** `query`
The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` List of contact group members returned.
###### Content-Type: application/json
- **`group_members`**
`array` — List of contact group members.
**Items:**
- **`id`**
`string` — The member ID: user ID (\`user\`) or user group ID (\`user group\`).
- **`name`**
`string` — The member's name: user's name (\`user\`) or the group's name (\`user group\`).
- **`type`**
`integer`, possible values: `1, 2` — Contact group member types: \`1\` - user. \`2\` - user group.
- **`next_page_token`**
`string` — The next page token is used to paginate through large result sets. A next page token will be returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
- **`page_size`**
`integer` — The number of records returned within a single API call.
**Example:**
```json
{
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ",
"name": "Developer group"
}
],
"next_page_token": "R4aF9Oj0fVM2hhezJTEmSKaBSkfesDwGy42",
"page_size": 10
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}\
\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Add contact group members
- **Method:** `POST`
- **Path:** `/contacts/groups/{groupId}/members`
- **Tags:** Contact Groups
Use this API to add members to a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management).
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `HEAVY`
#### Parameters
##### `groupId` required
- **In:** `path`
The contact group ID. Retrieve by calling the List contact groups API.
`string`
#### Request Body
##### Content-Type: application/json
- **`group_members`**
`array` — Group members array
**Items:**
- **`id`**
`string` — The member ID: user ID (\`user\`) or user group ID (\`user group\`).
- **`type`**
`integer`, possible values: `1, 2` — Contact group member types: \`1\` - user. \`2\` - user group.
**Example:**
```json
{
"group_members": [
{
"type": 2,
"id": "n22T5G6bQDCugVm1V59TAQ"
}
]
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` Member added.
###### Content-Type: application/json
- **`member_ids`**
`array` — Member ids array
**Items:**
`string` — The member ID of the member that is added successfully.
**Example:**
```json
{
"member_ids": [
"KT6h5SfCSm6YNjZo7i8few"
]
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account: {accountId}\
\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist.\
\
\*\*Error Code:\*\* \`300\` \
The maximum number of user member per request is 50.\
\
\*\*Error Code:\*\* \`300\` \
The maximum number of group member per request is 3. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Remove members in a contact group
- **Method:** `DELETE`
- **Path:** `/contacts/groups/{groupId}/members`
- **Tags:** Contact Groups
Removes members in a [contact group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-).
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `contact_group:write:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `HEAVY`
#### Parameters
##### `groupId` required
- **In:** `path`
The contact group ID. Retrieve by calling the List contact groups API.
`string`
##### `member_ids` required
- **In:** `query`
The member's ID in a contact group. Use commas (,) to separate a maximum of 20 ids.
Can be retrieved by calling the [**List contact groups**](/docs/api-reference/zoom-api/methods#operation/contactGroupMembers) API.
`string`
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` Member removed.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account,{accountId}.\
\
\*\*Error Code:\*\* \`300\` \
A group with this groupId: {groupId} does not exist.\
\
\*\*Error Code:\*\* \`300\` \
The maximum number of memberId is 20.\
\
\*\*Error Code:\*\* \`300\` \
A member with this memberId: {memberId} does not exist.\
\
\*\*Error Code:\*\* \`300\` \
A group must have at least one member. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### List divisions
- **Method:** `GET`
- **Path:** `/divisions`
- **Tags:** Divisions
List divisions under an account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:read:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:read:list_divisions:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Parameters
##### `next_page_token`
- **In:** `query`
Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes.
`string`
##### `page_size`
- **In:** `query`
The number of records returned within a single API call.
`integer`, default: `30`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Division list returned.
###### Content-Type: application/json
- **`divisions`**
`array` — The information about the divisions.
**Items:**
- **`division_description`**
`string` — The division's description.
- **`division_id`**
`string` — The division's id
- **`division_name`**
`string` — The division's name.
- **`is_main_division`**
`boolean` — Is it Main Division
- **`total_members`**
`integer` — Total number of members in this division.
- **`next_page_token`**
`string` — Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes.
- **`page_size`**
`integer` — The number of records returned within a single API call.
- **`total_records`**
`integer` — The total records of divisions under the account.
**Example:**
```json
{
"next_page_token": "IAfJX3jsOLW7w3dokmFl84zOa0MAVGyMEB2",
"page_size": 30,
"total_records": 300,
"divisions": [
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division",
"is_main_division": true,
"total_members": 100
}
]
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid parameters.
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Create a division
- **Method:** `POST`
- **Path:** `/divisions`
- **Tags:** Divisions
Create a division. You can add a maximum of 500 divisions in one account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:wirte:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:write:division:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Request Body
##### Content-Type: application/json
- **`division_name` (required)**
`string` — The division's name.
- **`division_description`**
`string` — The division's description.
**Example:**
```json
{
"division_name": "my division",
"division_description": "this is division"
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` Division created.
###### Content-Type: application/json
- **`division_description`**
`string` — The division's description.
- **`division_id`**
`string` — The division's id
- **`division_name`**
`string` — The division's name.
**Example:**
```json
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division"
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`40005\` \
Invalid field. \
\*\*Error Code:\*\* \`42006\` \
You've reached the maximum number of divisions reached. You can clean up some divisions then try again. \
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031004\` \
Invalid or expired token. \
\*\*Error Code:\*\* \`30031002\` \
Missing token. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict This name is already in use. Please try another.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Get a division
- **Method:** `GET`
- **Path:** `/divisions/{divisionId}`
- **Tags:** Divisions
Get a division under an account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:wirte:admin`,`division:read:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:read:division:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Parameters
##### `divisionId` required
- **In:** `path`
The division's id
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Division returned.
###### Content-Type: application/json
- **`division_description`**
`string` — The division's description.
- **`division_id`**
`string` — The division's id
- **`division_name`**
`string` — The division's name.
- **`is_main_division`**
`boolean` — Is it Main Division
**Example:**
```json
{
"division_id": "example-TaOOmobxuqLVnw",
"division_name": "my division",
"division_description": "this is division",
"is_main_division": true
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid parameters.
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found Division not found.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Delete a division
- **Method:** `DELETE`
- **Path:** `/divisions/{divisionId}`
- **Tags:** Divisions
Delete an entire division.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:wirte:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:delete:division:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Parameters
##### `divisionId` required
- **In:** `path`
The division's ID.
`string`
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` Division deleted.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`42011\` \
Main division can't be deleted. \
\*\*Error Code:\*\* \`42012\` \
Please remove all users from this division before deleting. \
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token. \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found Division not found.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Update a division
- **Method:** `PATCH`
- **Path:** `/divisions/{divisionId}`
- **Tags:** Divisions
Update a group under your account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:wirte:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:update:division:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Parameters
##### `divisionId` required
- **In:** `path`
The division's ID.
`string`
#### Request Body
##### Content-Type: application/json
- **`division_description`**
`string` — The division's description.
- **`division_name`**
`string` — The division's name.
**Example:**
```json
{
"division_name": "my division",
"division_description": "this is division"
}
```
#### Responses
##### Status: 204 \*\*HTTP Status Code:\*\* \`204\` Division updated.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid parameters.
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found Division not found.
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict This name is already in use. Please try another.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### List division members
- **Method:** `GET`
- **Path:** `/divisions/{divisionId}/users`
- **Tags:** Divisions
List the users of a division under your account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:read:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:read:member:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
**Not supported in Gov cluster**
#### Parameters
##### `divisionId` required
- **In:** `path`
The division's ID.
`string`
##### `next_page_token`
- **In:** `query`
Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes.
`string`
##### `page_size`
- **In:** `query`
The number of records returned within a single API call.
`integer`, default: `30`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Division users returned.
###### Content-Type: application/json
- **`next_page_token`**
`string` — Use the next page token to paginate through a large set of results. It returns whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes.
- **`page_size`**
`integer` — The number of records returned within a single API call.
- **`total_records`**
`integer` — The total records of users under the division.
- **`users`**
`array` — List of a division's users.
**Items:**
- **`user_display_name`**
`string` — The user's display name.
- **`user_email`**
`string` — The user's email address.
- **`user_id`**
`string` — The user's unique identifier.
**Example:**
```json
{
"next_page_token": "IAfJX3jsOLW7w3dokmFl84zOa0MAVGyMEB2",
"page_size": 30,
"total_records": 300,
"users": [
{
"user_id": "example-FLFD4pfkQ4a2nec",
"user_display_name": "jill chill",
"user_email": "jchill@example.com"
}
]
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid parameters.
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token. \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found Division not found.
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### Assign a division
- **Method:** `POST`
- **Path:** `/divisions/{divisionId}/users`
- **Tags:** Divisions
Assign a division to members. A user can belong to only one division.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:wirte:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `division:write:member:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
**Not supported in Gov cluster**
#### Parameters
##### `divisionId` required
- **In:** `path`
The division's ID.
`string`
#### Request Body
##### Content-Type: application/json
- **`users`**
`array` — Array of userId/user email of users to whom you would like to assign this division. Up to 30 users can be assigned a division at once.
**Items:**
- **`user_email`**
`string` — Email address of the user to whom you would like to assign the division. Provide either the userId in the user\_id field or the email address in the user\_email field. If both fields are provided, only userId is used.
- **`user_id`**
`string` — User ID of the user to whom you would like to assign the division.
**Example:**
```json
{
"users": [
{
"user_email": "user@example.com",
"user_id": "example_2RTm5TNvuvk4yRw"
}
]
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` Division users added.
###### Content-Type: application/json
- **`added_at`**
`string` — Date and time at which the members are assigned to the division.
- **`ids`**
`string` — User ids
**Example:**
```json
{
"added_at": "2022-03-25T03:08:12Z",
"ids": "example-userId1,example-userId2"
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request Invalid parameters.
##### Status: 401 \*\*HTTP Status Code:\*\* \`401\` \
Unauthorized \*\*Error Code:\*\* \`30031002\` \
Missing token. \
\*\*Error Code:\*\* \`30031004\` \
Invalid or expired token. \
##### Status: 403 \*\*HTTP Status Code:\*\* \`403\` \
Forbidden No permission.
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`40406\` \
Division not found. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rate-limits/).
### List groups
- **Method:** `GET`
- **Path:** `/groups`
- **Tags:** Groups
List [groups](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under an account.
**Prerequisite**: Pro or higher account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:admin`,`group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:list_groups:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `page_size`
- **In:** `query`
The number of records returned in a single API call. The maximum is 300.
`integer`
##### `next_page_token`
- **In:** `query`
The next page token paginates through a set of large results. A next page token is returned whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` List of groups returned. \*\*Error Code:\*\* \`200\` Only available for paid accounts.
###### Content-Type: application/json
- **`groups`**
`array` — List of Group objects.
**Items:**
**All of:**
- **`id`**
`string` — Group ID.
* **`name`**
`string` — Group name.
* **`total_members`**
`integer` — Total number of members in this group.
- **`next_page_token`**
`string` — The next page token paginates through a large set results. A next page token returns whenever the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
- **`total_records`**
`integer` — Total records.
**Example:**
```json
{
"groups": [
{
"id": "SobVexyrQjqCkcxjpBWi6w",
"name": "Developers",
"total_members": 200
}
],
"total_records": 200,
"next_page_token": "qUEQqB1V0HVhJmwKFQrGOD"
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with this {groupId} does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Create a group
- **Method:** `POST`
- **Path:** `/groups`
- **Tags:** Groups
Use this API to create a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management). You can add a **maximum** of 100 groups in one account per day, and a maximum of 5000 groups in one account.
If you enabled a new group via the user interface, you can also choose whether to display the group and set its privacy level.
**Prerequisites**:
- A Pro or higher account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:group:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Request Body
##### Content-Type: application/json
- **`name`**
`string` — The group's name.
**Example:**
```json
{
"name": "Developers"
}
```
#### Responses
##### Status: 201 \*\*HTTP Status Code:\*\* \`201\` Group created.
###### Content-Type: application/json
- **`id`**
`string` — The group ID.
- **`name`**
`string` — The group's name.
- **`total_members`**
`integer` — The group's total member count.
**Example:**
```json
{
"id": "A4ql1FjgL913r",
"name": "Developers",
"total_members": 34
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`300\` \
Invalid parameter: name. \
\*\*Error Code:\*\* \`300\` \
Validation Failed. \
\*\*Error Code:\*\* \`300\` \
It has reached the maximum number of groups. You can clean up some groups then add. \
\*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`4132\` \
The group name "{groupName}" is already in use. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Get a group
- **Method:** `GET`
- **Path:** `/groups/{groupId}`
- **Tags:** Groups
Get a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under an account.
**Prerequisite**: Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:admin`,`group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:group:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Group returned. \*\*Error Code:\*\* \`200\` Only available for Paid account,{accountId}.
###### Content-Type: application/json
- **`id`**
`string` — Group ID.
- **`name`**
`string` — Group name.
- **`total_members`**
`integer` — Total count of members in the group.
**Example:**
```json
{
"id": "825c9e31f1064c73b394c5e4557d3447",
"name": "Developers",
"total_members": 100
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`1010\` \
Group does not belong to your account. \
\*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with this {groupId} does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Delete a group
- **Method:** `DELETE`
- **Path:** `/groups/{groupId}`
- **Tags:** Groups
Delete an entire [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-). **Prerequisites:** \* A Pro, Business, or Education account.
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:delete:group:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
#### Responses
##### Status: 204 Group deleted.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for Paid account,{accountId}. \
Group cannot be deleted. Information Barriers policies have been applied to this group. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
Group does not exist. \
A group with this {groupId} does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Update a group
- **Method:** `PATCH`
- **Path:** `/groups/{groupId}`
- **Tags:** Groups
Update a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under your account.
**Prerequisite**: Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:update:group:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
#### Request Body
##### Content-Type: application/json
- **`name`**
`string` — Group name. It must be unique to one account and less than 128 characters.
**Example:**
```json
{
"name": "Developers"
}
```
#### Responses
##### Status: 204 Group updated.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with this {groupId} does not exist. \
##### Status: 409 \*\*HTTP Status Code:\*\* \`409\` \
Conflict \*\*Error Code:\*\* \`4132\` \
Group name {groupName} is already in use. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### List group admins
- **Method:** `GET`
- **Path:** `/groups/{groupId}/admins`
- **Tags:** Groups
Use this API to return a list of [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) administrators under your account.
**Prerequisites:**
- A Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:admin`,`group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:administrator:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID. Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
##### `page_size`
- **In:** `query`
The number of records returned within a single API call.
`integer`, default: `30`
##### `next_page_token`
- **In:** `query`
Use the next page token to paginate through large result sets. A next page token is returned whenever the set of available results exceeds the current page size. This token's expiration period is 15 minutes.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` Only available for paid account: \"{accountId}\".
###### Content-Type: application/json
- **`admins`**
`array`
**Items:**
- **`email`**
`string`, format: `email` — The user's email address.
- **`name`**
`string` — The user's display name.
- **`next_page_token`**
`string` — The next page token is used to paginate through large result sets. A next page token is returned when the set of available results exceeds the current page size. The expiration period for this token is 15 minutes.
- **`page_size`**
`integer` — The number of records returned in a single API call.
- **`total_records`**
`integer` — The total number of records available across all pages.
**Example:**
```json
{
"admins": [
{
"email": "jchill@example.com",
"name": "Jill Chill"
}
],
"next_page_token": "oMTCmjMRwzSfZtUXDIuWDswdksIQ3dyGUB1",
"page_size": 1,
"total_records": 20
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
\*\*Error Code:\*\* \`300\` \
The next page token is invalid or expired. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with the "{groupId}" ID does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Add group admins
- **Method:** `POST`
- **Path:** `/groups/{groupId}/admins`
- **Tags:** Groups
Use this API to add administrators to a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under your account.
**Prerequisites:**
- A Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:administrator:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
#### Request Body
##### Content-Type: application/json
- **`admins`**
`array` — A list of the administrators to add to a group.
**Items:**
- **`email`**
`string` — The user's email. Use this value if you do not have the user's ID. If you pass the \`id\` value, the API ignores this parameter.
- **`id`**
`string` — The user's ID.
**Example:**
```json
{
"admins": [
{
"email": "jchill@example.com",
"id": "v4iyWT1LTfy8QvPG4GTvdg"
}
]
}
```
#### Responses
##### Status: 201 \*\*Status Code:\*\* \`201\` Group administrator added.
###### Content-Type: application/json
- **`added_at`**
`string`, format: `date-time` — The timestamp at which the administrator was added to the group.
- **`ids`**
`string` — The administrator IDs.
**Example:**
```json
{
"added_at": "2022-03-25T03:08:12Z",
"ids": "v4iyWT1LTfy8QvPG4GTvdg"
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for paid account,{accountId}. \
\*\*Error Code:\*\* \`300\` \
Validation Failed. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with the "{groupId}" ID does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Delete a group admin
- **Method:** `DELETE`
- **Path:** `/groups/{groupId}/admins/{userId}`
- **Tags:** Groups
Use this API to remove a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) administrator in a Zoom account.
**Prerequisites:**
- A Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:delete:administrator:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `LIGHT`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api-reference/zoom-api/methods#operation/groups) API.
`string`
##### `userId` required
- **In:** `path`
The user ID or email address of the user. For user-level apps, pass the `me` value.
`string`
#### Responses
##### Status: 204 \*\*Status Code:\*\* \`204\` Group administrator removed.
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`4138\` \
That user is not an administrator for the group: "{groupId}". \
\*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with the "{groupId}" ID does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### List group channels
- **Method:** `GET`
- **Path:** `/groups/{groupId}/channels`
- **Tags:** Groups
Returns a list of channels for a [group](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) under your account.
**Prerequisite**:
- Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:admin`,`group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:list_channels:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group ID.
Retrieve by calling the [**List groups**](/docs/api/rest/reference/user/methods/#operation/groups) API.
`string`
#### Responses
##### Status: 200 \*\*HTTP Status Code:\*\* \`200\` List of group channels returned.
###### Content-Type: application/json
- **`channels` (required)**
`array` — The channels in a group.
**Items:**
- **`channel_id` (required)**
`string` — The unique identifier of the channel.
- **`channel_name` (required)**
`string` — The name of the channel.
- **`member_count` (required)**
`integer` — The member number of the channel.
- **`group_id` (required)**
`string` — The unique identifier of the group.
**Example:**
```json
{
"channels": [
{
"channel_id": "d26fd4dfebfa4aff9f31ee5710529442",
"channel_name": "Your Channel",
"member_count": 10
}
],
"group_id": "2NEr8QoCSZq4LV6s7jjYQA"
}
```
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
A group with this {groupId} does not exist. \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Get locked settings
- **Method:** `GET`
- **Path:** `/groups/{groupId}/lock_settings`
- **Tags:** Groups
Retrieve a [group's](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) locked settings. If you lock a setting, the group members will not be able to modify it individually.
**Note:** The `force_pmi_jbh_password` field under meeting settings is deprecated as of September 22, 2019.
**Prerequisite**: Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:admin`,`group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:read:lock_settings:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group's ID.
`string`
##### `option`
- **In:** `query`
Optional query parameters.
- `meeting_security` - Use this query parameter to view the meeting security settings applied to the user's account.
`string`
#### Responses
##### Status: 200 \*\*Status Code:\*\* \`200\` Locked settings of group returned.
###### Content-Type: application/json
**One of:**
- **`ai`**
`object` — AI lock settings for the account or group.
- **`ai_generated_virtual_backgrounds`**
`boolean` — Whether the ai\_generated\_virtual\_backgrounds setting is locked.
- **`ai_panel_in_workplace`**
`object` — Lock settings for the AI panel in Zoom Workplace.
- **`delete_ai_conversation`**
`boolean` — Whether automatic AI conversation deletion in the AI panel is locked.
- **`delete_ai_conversation_time`**
`boolean` — Whether the AI panel conversation retention period is locked.
- **`enabled`**
`boolean` — Whether the AI panel in Zoom Workplace is locked.
- **`allow_user_create_customize_avatar`**
`object` — Lock settings for clips allow user create customize avatar.
- **`enable`**
`boolean` — Whether the clips allow user create customize avatar is locked.
- **`canvas_ai_content_generation`**
`boolean` — Whether the Canvas AI content generation and revision setting is locked.
- **`canvas_ai_post_meeting_writing_tasks`**
`boolean` — Whether the Canvas post-meeting writing task setting is locked.
- **`canvas_ai_sentence_completion`**
`boolean` — Whether the Canvas AI sentence completion setting is locked.
- **`chat_compose`**
`boolean` — Compose with AI Companion.
- **`chat_summary`**
`boolean` — Summarize with AI Companion.
- **`clips_create_video_with_aic`**
`object` — Lock settings for clips create video with aic.
- **`enable`**
`boolean` — Whether the clips create video with aic is locked.
- **`clips_summarization_generation`**
`object` — Lock settings for clips summarization generation.
- **`enable`**
`boolean` — Whether the clips summarization generation is locked.
- **`enable_ai_on_web`**
`boolean` — Whether Zoom AI on the web is locked.
- **`full_display_names_in_ai_assets`**
`boolean` — Whether the full\_display\_names\_in\_ai\_assets setting is locked.
- **`google`**
`object` — Lock settings for Google data sources.
- **`enable`**
`boolean` — Whether Google data sources are locked.
- **`hub_ai_question_and_file_creation`**
`boolean` — Whether the Hub AI search and file creation setting is locked.
- **`include_webinar_summary_follow_up_email`**
`object` — Lock settings for including the webinar summary in follow-up email.
- **`enable`**
`boolean` — Whether including the webinar summary in follow-up email is locked.
- **`local_file_uploads`**
`boolean` — Whether Local file uploads as an AI data source are locked.
- **`meeting_agenda`**
`boolean` — Whether the meeting\_agenda setting is locked.
- **`meeting_chat_messages`**
`boolean` — Whether the meeting\_chat\_messages setting is locked.
- **`meeting_coach`**
`object` — Lock settings for Meeting Coach with AI.
- **`enable`**
`boolean` — Whether Meeting Coach with AI is locked.
- **`meeting_questions`**
`object` — Zoom AI answers the meeting questions based on what is said in the meeting. If a transcript is retained, participants with access will be able to ask questions after the meeting based on that transcript. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether to automatically allow access when the meeting starts. The Boolean indicates whether this setting is locked.
- **`enable`**
`boolean` — Whether to allow hosts and invited participants to ask questions to AI Companion during a meeting. The Boolean indicates whether this setting is locked.
- **`who_can_ask_questions`**
`boolean` — Defines who can ask questions about this meeting's transcript. The corresponding setting values are \`from\_entire\_meeting\` (all participants and invitees), \`from\_join\_meeting\` (all participants only from when they join), \`host\` (only the meeting host), \`org\` (participants and invitees in the organization), and \`org\_from\_join\_meeting\` (participants in the organization only from when they join). The Boolean indicates whether this setting is locked.
- **`meeting_summary`**
`object` — Allow hosts to generate a summary. Summaries are sent based on sharing permissions after the meeting has ended. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether to turn on meeting summary automatically when meetings start. The Boolean indicates whether this setting is locked.
- **`enable`**
`boolean` — Whether to allow hosts to generate a summary. The Boolean indicates whether this setting is locked.
- **`who_will_receive_summary`**
`boolean` — Automatically share summary with. The corresponding setting values are \`host\` (only meeting host), \`alt\_host\` (only meeting host, co-hosts, and alternative hosts), \`organization\` (only meeting host and meeting invitees in our organization), and \`all\` (all meeting invitees including those outside of our organization). The Boolean indicates whether this setting is locked.
- **`meeting_summary_default_language`**
`object` — When this feature is enabled, all meeting summaries will automatically use the language you choose. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — When this feature is enabled, all meeting summaries will automatically use the language you choose. The Boolean indicates whether this setting is locked.
- **`meeting_summary_docs`**
`object` — Lock settings for meeting summary Docs.
- **`enable`**
`boolean` — Whether automatic Zoom Doc creation is locked.
- **`share_with_summary_recipients`**
`boolean` — Whether sharing generated Zoom Docs with meeting summary recipients is locked.
- **`meeting_summary_email_only_mode`**
`boolean` — When this setting is enabled, summaries will only be shared to users by email. Users will not be able to view or edit summaries on the Zoom client or web portal, as the meeting summary will not be retained. The Boolean indicates whether this setting is locked.
- **`meeting_summary_ip_access`**
`object` — Allow meeting summary access only from specific IP address ranges. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether meeting summary access is restricted to specific IP address ranges. The Boolean indicates whether this setting is locked.
- **`meeting_summary_retention`**
`object` — Lock settings for meeting summary retention.
- **`enable`**
`boolean` — Whether automatic meeting summary deletion is locked.
- **`meeting_summary_template`**
`object` — Allow users to select a meeting summary template for their meetings. After the meeting, the summary will be generated into the new template. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether users can select a meeting summary template for their meetings. After the meeting, the summary will be generated into the new template. The Boolean indicates whether this setting is locked.
- **`microsoft_365`**
`object` — Lock settings for Microsoft 365 data sources.
- **`enable`**
`boolean` — Whether Microsoft 365 data sources are locked.
- **`my_notes_ai_content_generation`**
`boolean` — Whether the My Notes AI content generation setting is locked.
- **`my_notes_meeting_transcription`**
`boolean` — Whether the My Notes meeting transcription setting is locked.
- **`organization_custom_dictionaries`**
`boolean` — Whether allowing AI to consume the organization's custom dictionaries is locked.
- **`paper_ai_content_generation`**
`boolean` — Whether the Zoom Paper AI content generation and revision setting is locked.
- **`participant_can_request_aic_in_meeting`**
`boolean` — Participants can request the host to start in-meeting AI features. The Boolean indicates whether this setting is locked.
- **`phone_user_ai_notices`**
`object` — Lock settings for phone user AI notices.
- **`enable`**
`boolean` — Whether phone user AI notices are locked.
- **`remind_me_turn_on_aic`**
`boolean` — If you don't set AI features to auto-start in your meetings, you will be reminded to turn on AI at the beginning of each meeting you host. The Boolean indicates whether this setting is locked.
- **`remind_me_turn_on_catch_me_up`**
`boolean` — When you join a meeting late, you'll get a prompt for AI to summarize what's been discussed so far. The Boolean indicates whether this setting is locked.
- **`restrict_aic_when_external_user_join_meeting`**
`boolean` — Automatically restrict Zoom AI and transcription features when external users or groups join a meeting. The Boolean indicates whether this setting is locked.
- **`restrict_aic_when_restrict_user_join`**
`boolean` — When members of this group join a meeting, Zoom AI features will not be permitted for that session. This will only impact meetings within this organization. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_deleting_ai_companion_assets`**
`boolean` — When enabled, users cannot delete AI assets. Only admins can delete them. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_editing_ai_companion_assets`**
`boolean` — When enabled, users cannot edit AI assets. Only admins can edit them. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_joining_ai_enabled_meetings`**
`object` — Users would be restricted from joining meetings in which AI meeting processing (meeting questions and summary) is allowed. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether users are restricted from joining meetings in which AI meeting processing (meeting questions and summary) is allowed. The Boolean indicates whether this setting is locked.
- **`screen_share_ocr`**
`boolean` — Whether the screen\_share\_ocr setting is locked.
- **`sheets_ai_content_generation`**
`boolean` — Whether the Zoom Sheets AI content generation and revision setting is locked.
- **`sheets_ai_formula`**
`boolean` — Whether the Zoom Sheets AI Formula setting is locked.
- **`sheets_ai_function`**
`boolean` — Whether the Zoom Sheets AI Function setting is locked.
- **`sheets_ai_resources`**
`boolean` — Whether the Zoom Sheets AI Resources setting is locked.
- **`show_conversational_ai_companion`**
`object` — Lock settings for the conversational AI companion.
- **`delete_ai_conversation`**
`boolean` — Whether automatic AI conversation deletion is locked.
- **`delete_ai_conversation_time`**
`boolean` — Whether the AI conversation retention period is locked.
- **`enable_zoom_mate`**
`boolean` — Whether ZoomMate availability is locked.
- **`enabled`**
`boolean` — Whether conversational AI is locked.
- **`slides_ai_content_generation`**
`boolean` — Whether the Zoom Slides AI content generation and revision setting is locked.
- **`smart_recording`**
`object` — Lock settings for Smart Recording.
- **`enable`**
`boolean` — Whether the Smart Recording is locked.
- **`task_creation_and_management`**
`object` — Lock settings for task creation and management with AI.
- **`enable`**
`boolean` — Whether task creation and management with AI is locked.
- **`third_party_app_tasks`**
`boolean` — Whether allowing AI to perform tasks in third-party apps is locked.
- **`third_party_meeting_join`**
`object` — Lock settings for third-party meeting join with AI.
- **`allow_recording`**
`boolean` — Whether recording for joined third-party meetings is locked.
- **`calendar`**
`object` — Lock settings for calendar-based third-party meeting join.
- **`enable`**
`boolean` — Whether calendar-based third-party meeting join is locked.
- **`enable`**
`boolean` — Whether third-party meeting join with AI is locked.
- **`pre_meeting_email_notification`**
`object` — Lock settings for pre-meeting email notification.
- **`enable`**
`boolean` — Whether pre-meeting email notification is locked.
- **`web_content`**
`boolean` — Whether Web content as an AI data source is locked.
- **`webinar_questions`**
`object` — During the webinar, answers are based on speech-to-text data. If a transcript is retained, participants with access can ask questions after the webinar based on that transcript. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether automatically allowing access when the webinar starts is locked.
- **`enable`**
`boolean` — Whether allowing users to ask webinar questions with AI is locked.
- **`who_can_ask_questions`**
`boolean` — Who can ask questions about the webinar. The corresponding setting values are \`panelist\_all\` (hosts and all panelists), \`panelist\_org\` (hosts and all panelists in your organization), \`host\` (only webinar host, co-hosts, and alternative hosts), and \`all\_participants\` (all participants). The Boolean indicates whether this setting is locked.
- **`webinar_summary`**
`object` — Allow hosts to generate a summary. Summaries are sent after the webinar ends based on sharing permissions. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether turning on webinar summary automatically when the webinar starts is locked.
- **`email_notification`**
`boolean` — Whether sending an email notification when sharing to participants is locked.
- **`enable`**
`boolean` — Whether allowing hosts to generate a summary is locked.
- **`restrict_share_to_outside_of_organization`**
`boolean` — Whether restricting users from sharing summaries to those outside of your organization is locked.
- **`who_will_receive_summary`**
`boolean` — Who will automatically receive the summary. The corresponding setting values are \`host\` (only webinar host), \`host\_and\_panelist\_in\_organization\` (only webinar host, co-hosts, and panelists in your organization), and \`host\_and\_panelist\_not\_in\_organization\` (webinar host, co-hosts, and all panelists, including those outside your organization). The Boolean indicates whether this setting is locked.
- **`webinar_summary_follow_up_email`**
`boolean` — Whether webinar summaries are included in webinar follow-up email. Deprecated. Use \`include\_webinar\_summary\_follow\_up\_email\`. The Boolean indicates whether this setting is locked.
- **`webinar_summary_ocr`**
`boolean` — Whether using screen share content with OCR for webinar summaries is locked.
- **`whiteboard_content_generation`**
`boolean` — Whether Whiteboard content generation with AI is enabled.
- **`zoom_events_session_summary`**
`object` — Lock settings for Zoom Events session summary.
- **`auto_start`**
`boolean` — Whether turning on session summary automatically when sessions start is locked.
- **`enable`**
`boolean` — Whether Zoom Events session summaries are locked.
- **`audio_conferencing`**
`object` — The group's audio conference settings.
- **`call_me_and_invite_by_phone`**
`boolean` — Whether the group has the \[\*\*Call Me and Invite by Phone\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067414#h\_01F53VG7NCJDZ238VVXZDJ8QMH) setting enabled.
- **`participant_phone_masking`**
`boolean` — Whether the group has the \[\*\*Mask phone number in the participant list\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0067881#h\_01F5K5H1618B9AQ9F29NYRNE8W) setting enabled.
- **`personal_audio_conference`**
`boolean` — Whether the group has the \[\*\*Personal Audio Conference\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0060449#h\_01F5BPMNMERFWXN5S8ZJRZZCSE) setting enabled.
- **`toll_call`**
`boolean` — Whether the group has the \[\*\*Toll Call\*\*]\(https\://support.zoom.com/hc/en/article?id=zm\_kb\&sysparm\_article=KB0066909#h\_01F51844DRCX3K7BRTMZ40381R) setting enabled.
- **`toll_free_and_fee_based_toll_call`**
`boolean` — Whether the group has the \[\*\*Toll-free and Fee-based Toll Call\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060950711-Enabling-Toll-free-and-Fee-based-Toll-Call) setting enabled.
- **`email_notification`**
`object`
- **`alternative_host_reminder`**
`boolean` — Notify the alternative host who is set or removed.
- **`cancel_meeting_reminder`**
`boolean` — Notify host and participants when the meeting is cancelled.
- **`cloud_recording_available_reminder`**
`boolean` — Whether to notify the host when a cloud recording is available.
- **`jbh_reminder`**
`boolean` — Notify host when participants join the meeting before them.
- **`schedule_for_reminder`**
`boolean` — Notify the host there is a meeting is scheduled, rescheduled, or cancelled.
- **`in_meeting`**
`object`
- **`ai_companion_questions`**
`object` — Allow hosts and invited participants to ask questions to AI Companion during a meeting. Questions are answered based on the conversation transcript.
- **`auto_enable_locked`**
`boolean` — Whether to automatically allow access when the meeting starts.
- **`locked`**
`boolean` — Whether to allow hosts and invited participants to ask questions to AI Companion during a meeting.
- **`who_can_ask_questions_locked`**
`boolean` — Whether to lock the setting that defines who can ask questions about the meeting's transcript.
- **`alert_guest_join`**
`boolean` — Allow participants who belong to your account to see that a guest (someone who does not belong to your account) is participating in the meeting/webinar.
- **`allow_live_streaming`**
`boolean` — Whether to allow livestreaming.
- **`allow_show_zoom_windows`**
`boolean` — Show Zoom windows during screen share.
- **`allow_users_to_delete_messages_in_meeting_chat`**
`boolean` — If the value of this field is set to \`true\`, allow users to delete messages in the in-meeting chat.
- **`annotation`**
`boolean` — Allow participants to use annotation tools to add information to shared screens.
- **`attendee_on_hold`**
`boolean`, default: `false` — Allow host to put attendee on hold. \*\*This field has been deprecated and is no longer supported.\*\*
- **`auto_answer`**
`boolean` — Enable users to see and add contacts to 'auto-answer group' in the contact list on chat. Any call from members of this group will be automatically answered.
- **`auto_generated_captions`**
`boolean` — Whether to allow a live transcription service to transcribe meetings.
- **`auto_saving_chat`**
`boolean` — Automatically save all in-meeting chats.
- **`breakout_room`**
`boolean` — Allow host to split meeting participants into separate, smaller rooms.
- **`chat`**
`boolean` — Allow meeting participants to send chat message visible to all participants.
- **`closed_caption`**
`boolean` — Allow host to type closed captions or assign a participant or third party device to add closed captions.
- **`co_host`**
`boolean` — Allow the host to add co-hosts. Co-hosts have the same in-meeting controls as the host.
- **`custom_data_center_regions`**
`boolean` — Displays whether or not custom \[data center regions]\(https\://support.zoom.us/hc/en-us/articles/360042411451-Selecting-data-center-regions-for-hosted-meetings-and-webinars) have been selected for meetings/webinars hosted by this group.
- **`disable_screen_sharing_for_host_meetings`**
`boolean` — Whether the \*\*Disable desktop screen sharing for meetings you host\*\* setting is enabled.
- **`disable_screen_sharing_for_in_meeting_guests`**
`boolean` — Whether the \*\*Disable screen sharing when guests are in the meeting\*\* setting is enabled.
- **`e2e_encryption`**
`boolean` — Require that all meetings are encrypted using AES.
- **`entry_exit_chime`**
`string` — Play sound when participants join or leave.
- **`far_end_camera_control`**
`boolean` — Allow another user to take control of the camera during a meeting.
- **`feedback`**
`boolean` — Enable users to provide feedback to Zoom at the end of the meeting.
- **`file_transfer`**
`boolean` — Indicates whether \[in-meeting file transfer]\(https\://support.zoom.us/hc/en-us/articles/209605493-In-meeting-file-transfer) setting has been enabled for the users in the group or not.
- **`full_transcript`**
`boolean` — Whether to allow the viewing of full transcripts in the in-meeting side panel.
- **`group_hd`**
`boolean` — Enable higher quality video for host and participants in a meeting. This will require more bandwidth.
- **`language_interpretation`**
`boolean` — Whether to allow hosts to assign participants as interpreters who can interpret one language into another in real-time.
- **`manual_captions`**
`boolean` — Allow host to type closed captions or assign a participant or third party device to add closed captions.
- **`meeting_question_answer`**
`boolean` — Allow participants to ask questions for the host and participants to answer.
- **`meeting_reactions`**
`boolean` — Whether meeting participants can \[communicate using the emoji reactions]\(https\://support.zoom.us/hc/en-us/articles/115001286183-Nonverbal-feedback-and-meeting-reactions) located in the \*\*Reactions\*\* menu in the meeting toolbar.
- **`meeting_summary_with_ai_companion`**
`object` — As a host, you can generate a summary. Summaries are sent after the meeting has ended based on the share options.
- **`auto_enable_locked`**
`boolean` — Whether to turn on meeting summary automatically when meetings start.
- **`locked`**
`boolean` — Whether to allow hosts to generate a summary.
- **`summary_template_locked`**
`boolean` — Whether to allow users to select a meeting summary template for their meetings. After the meeting, the summary will be generated using the selected template.
- **`who_will_receive_summary_locked`**
`boolean` — Whether to lock the setting that defines who will receive a summary after the meeting.
- **`meeting_survey`**
`boolean` — Whether the host can present a survey to participants once a meeting has ended. This feature is only available in version 5.7.3 or higher.
- **`non_verbal_feedback`**
`boolean` — Allow participants in a meeting can provide nonverbal feedback and express opinions by clicking on icons in the Participants panel.
- **`original_audio`**
`boolean` — Allow users to select original sound during a meeting.
- **`polling`**
`boolean` — Add 'Polls' to the meeting controls. This allows the host to survey the attendees.
- **`post_meeting_feedback`**
`boolean` — Display end-of-meeting experience feedback survey.
- **`private_chat`**
`boolean` — Allow meeting participants to send a private 1:1 message to another participant.
- **`remote_control`**
`boolean` — During screen sharing, allow the person who is sharing to let others control the shared content.
- **`remote_support`**
`boolean` — Allow meeting host to provide 1:1 remote support to another participant.
- **`request_permission_to_unmute_participants`**
`boolean` — Indicates whether the \[\*\*Request permission to unmute participants\*\*]\(https\://support.zoom.us/hc/en-us/articles/203435537-Muting-and-unmuting-participants-in-a-meeting#h\_01EGK4XFWS1SJGZ71MYGKF7260) option has been enabled and locked for the group or not.
- **`save_caption`**
`boolean` — Whether participants can save closed captions or transcripts.
- **`save_captions`**
`boolean` — Whether participants can save closed captions or transcripts.
- **`screen_sharing`**
`boolean` — Allow host and participants to share their screen or content during meetings.
- **`sending_default_email_invites`**
`boolean` — Allow users to invite participants by email only by default.
- **`show_a_join_from_your_browser_link`**
`boolean` — Whether to allow participants to join a meeting directly from their browser and bypass the Zoom application download process. This is useful for participants who cannot download, install, or run applications. Note that the meeting experience from the browser is limited.
- **`show_browser_join_link`**
`boolean` — Allow participants to join a meeting directly from their browser.
- **`show_meeting_control_toolbar`**
`boolean` — Always show meeting controls during a meeting.
- **`sign_language_interpretation`**
`boolean` — Allow hosts to assign participants as sign language interpreters who can interpret one language into sign language in real-time. Hosts can assign interpreters when scheduling, or during the meeting itself. This feature is only available with version 5.11.3 or later.
- **`slide_control`**
`boolean` — Whether the person sharing during a presentation can allow others to control the slide presentation. This feature is only available in version 5.8.3 or higher.
- **`stereo_audio`**
`boolean` — Allow users to select stereo audio during a meeting.
- **`use_html_format_email`**
`boolean` — Allow HTML formatting instead of plain text for meeting invitations scheduled with the Outlook plugin.
- **`virtual_background`**
`boolean` — Enable virtual backgrounds.
- **`waiting_room`**
`boolean` — Attendees cannot join a meeting until a host admits them individually from the waiting room.
- **`webinar_chat`**
`boolean` — Whether to allow webinar participants to send chat messages.
- **`webinar_group_hd`**
`boolean` — Enable higher quality video for host and participants in a webinar. This will require more bandwidth.
- **`webinar_live_streaming`**
`boolean` — Whether webinar livestreaming is enabled.
- **`webinar_polling`**
`boolean` — Whether the host can add polls before or during a webinar.
- **`webinar_question_answer`**
`boolean` — Whether attendees can ask the host and panelists questions in the webinar.
- **`webinar_reactions`**
`boolean` — Set this field to true to use \[webinar reactions]\(https\://support.zoom.us/hc/en-us/articles/4803536268429).
- **`webinar_survey`**
`boolean` — Whether the host can present surveys to attendees once a webinar has ended.
- **`whiteboard`**
`boolean` — Allow participants to share a whiteboard that includes annotation tools.
- **`other_options`**
`object`
- **`blur_snapshot`**
`boolean` — If \`true\`, iOS blurs the screenshot in the task switcher when multiple apps are open. Android hides the screenshot in the system-level list of recent apps.
- **`recording`**
`object`
- **`account_user_access_recording`**
`boolean` — Make cloud recordings accessible to account members only.
- **`archive`**
`boolean` — \[Archiving solution]\(https\://support.zoom.us/hc/en-us/articles/360050431572-Archiving-Meeting-and-Webinar-data) settings. This setting can only be used if you have been granted archiving solution access by the Zoom support team.
- **`auto_delete_cmr`**
`boolean` — Allow Zoom to automatically delete recordings permanently after a specified number of days.
- **`auto_recording`**
`boolean` — Record meetings automatically as they start.
- **`cloud_recording`**
`boolean` — Allow hosts to record and save the meeting or webinar in the cloud.
- **`cloud_recording_download`**
`boolean` — Allow anyone with a link to the cloud recording to download.
- **`host_delete_cloud_recording`**
`boolean` — Allow the host to delete the recordings. If this option is disabled, the recordings cannot be deleted by the host and only admin can delete them.
- **`ip_address_access_control`**
`object` — Setting to allow cloud recording access only from specific IP address ranges.
- **`enable`**
`boolean` — If set to \`true\`, the cloud recordings of this account can only be accessed by the IP addresses defined in the \`ip\_addresses\_or\_ranges\` property.
- **`ip_addresses_or_ranges`**
`string` — IP addresses or ranges that have access to the cloud recordings. Separate multiple IP ranges with commas. Use \`n.n.n.n, n.n.n.n/n\` or \`n.n.n.n - n.n.n.n\` syntax where n is a number, such as \`46.33.24.184, 48.99.100.2/25\` or \`200.181.108.17 - 220.181.108.157\`.
- **`local_recording`**
`boolean` — Allow hosts and participants to record the meeting to a local file.
- **`prevent_host_access_recording`**
`boolean` — If set to \`true\`, meeting hosts cannot view their meeting cloud recordings. Only the admins who have recording management privilege can access them.
- **`recording_authentication`**
`boolean` — Only authenticated users can view cloud recordings
- **`schedule_meeting`**
`object`
- **`audio_type`**
`boolean` — Determine how participants can join the audio portion of the meeting.
- **`continuous_meeting_chat`**
`boolean` — Whether to enable the \[\*\*Enable continuous meeting chat\*\*] setting.
- **`embed_password_in_join_link`**
`boolean` — If the value is set to \`true\`, the meeting passcode will be encrypted and included in the join meeting link to allow participants to join with just one click without having to enter the passcode.
- **`force_pmi_jbh_password`**
`boolean` — If the join before host option is enabled for a personal meeting, then enforce passcode requirement.
- **`host_video`**
`boolean` — Start meetings with host video on.
- **`join_before_host`**
`boolean` — Allow participants to join the meeting before the host arrives
- **`meeting_authentication`**
`boolean` — Only authenticated users can join meetings
- **`mute_upon_entry`**
`boolean` — Automatically mute all participants when they join the meeting.
- **`participant_video`**
`boolean` — Start meetings with participant video on.
- **`pstn_password_protected`**
`boolean` — Generate and send new passcodes for newly scheduled or edited meetings.
- **`require_password_for_instant_meetings`**
`boolean` — Require passcode for instant meetings. If you use personal meeting ID (PMI) for your instant meetings, this option will be disabled.
- **`require_password_for_pmi_meetings`**
`boolean` — Require participants to enter passcode for PMI meetings.
- **`require_password_for_scheduling_new_meetings`**
`boolean` — This setting applies for regular meetings that do not use PMI. If enabled, a passcode will be generated while a host schedules a new meeting and participants will be required to enter the passcode before they can join the meeting.
- **`upcoming_meeting_reminder`**
`boolean` — Receive desktop notification for upcoming meetings.
- **`telephony`**
`object` — Group Settings: Telephony.
- **`telephony_regions`**
`boolean` — Third party audio conference info.
- **`third_party_audio`**
`boolean` — Allow users to join the meeting using the existing third party audio configuration.
* **`meeting_security`**
`object`
- **`approved_or_denied_countries_or_regions`**
`boolean` — Whether the \[\*\*Approve or block entry for users from specific countries/regions\*\*]\(https\://support.zoom.us/hc/en-us/articles/360060086231-Joining-from-specific-countries-regions) setting is enabled.
- **`auto_security`**
`boolean` — Whether all meetings must be secured with at least one security option. This setting can only be disabled by Enterprise, ISV, Business (with more than 100 licenses), and Education accounts.
- **`block_user_domain`**
`boolean` — Whether users in specific domains are blocked from joining meetings and webinars.
- **`embed_password_in_join_link`**
`boolean` — Whether the meeting passcode is encrypted and included in the invitation link. The provided link will allow participants to join the meeting without having to enter the passcode.
- **`encryption_type`**
`string`, possible values: `"enhanced_encryption", "e2ee"` — The type of encryption used when starting a meeting. \* \`enhanced\_encryption\` - Enhanced encryption. Encryption data is stored in the cloud. \* \`e2ee\` - End-to-end encryption. The encryption key is stored on the local device and cannot be obtained by anyone else. Enabling E2EE also \[\*\*disables\*\* certain features]\(https\://support.zoom.us/hc/en-us/articles/360048660871), such as cloud recording, live streaming, and allowing participants to join before the host.
- **`end_to_end_encrypted_meetings`**
`boolean` — Whether end-to-end encryption is enabled for meetings.
- **`meeting_password`**
`boolean` — Whether all instant and scheduled meetings that users can join via client or Zoom Rooms systems are passcode-protected. \[Personal meeting ID (PMI)]\(https\://support.zoom.us/hc/en-us/articles/203276937) meetings are \*\*not\*\* included in this setting.
- **`only_authenticated_can_join_from_webclient`**
`boolean` — Whether to specify that only authenticated users can join the meeting from the web client.
- **`phone_password`**
`boolean` — Whether passcodes are required for participants joining by phone. If enabled and the meeting is passcode-protected, a numeric passcode is required for participants to join by phone. For meetings with alphanumeric passcodes, a numeric passcode will be generated.
- **`pmi_password`**
`boolean` — Whether all PMI meetings that users can join via client or Zoom Rooms systems are passcode-protected.
- **`waiting_room`**
`boolean` — Whether participants are placed in the \[\*\*waiting room\*\*]\(https\://support.zoom.us/hc/en-us/articles/115000332726-Waiting-Room) when they join a meeting. If the \*\*Waiting Room\*\* feature is enabled, the \[\*\*Allow participants to join before host\*\*]\(https\://support.zoom.us/hc/en-us/articles/202828525-Allow-participants-to-join-before-host) setting is automatically disabled.
- **`webinar_password`**
`boolean` — Whether to generate a passcode when scheduling webinars. Participants must use the generated passcode to join the scheduled webinar.
**Example:**
```json
{
"audio_conferencing": {
"toll_free_and_fee_based_toll_call": true,
"toll_call": true,
"call_me_and_invite_by_phone": true,
"personal_audio_conference": true,
"participant_phone_masking": true
},
"email_notification": {
"alternative_host_reminder": true,
"cloud_recording_available_reminder": true,
"jbh_reminder": true,
"schedule_for_reminder": true
},
"in_meeting": {
"alert_guest_join": true,
"allow_users_to_delete_messages_in_meeting_chat": true,
"allow_live_streaming": true,
"allow_show_zoom_windows": true,
"annotation": true,
"auto_answer": true,
"auto_generated_captions": true,
"auto_saving_chat": true,
"breakout_room": true,
"chat": true,
"meeting_question_answer": true,
"closed_caption": true,
"co_host": true,
"custom_data_center_regions": true,
"disable_screen_sharing_for_host_meetings": true,
"disable_screen_sharing_for_in_meeting_guests": true,
"e2e_encryption": true,
"entry_exit_chime": "all",
"far_end_camera_control": true,
"feedback": true,
"file_transfer": true,
"full_transcript": true,
"group_hd": true,
"webinar_group_hd": true,
"language_interpretation": true,
"sign_language_interpretation": true,
"manual_captions": true,
"meeting_reactions": true,
"webinar_reactions": true,
"meeting_survey": true,
"non_verbal_feedback": true,
"original_audio": true,
"polling": true,
"post_meeting_feedback": true,
"private_chat": true,
"remote_control": true,
"remote_support": true,
"request_permission_to_unmute_participants": true,
"save_caption": true,
"save_captions": true,
"screen_sharing": true,
"sending_default_email_invites": true,
"show_a_join_from_your_browser_link": true,
"show_browser_join_link": true,
"show_meeting_control_toolbar": true,
"slide_control": true,
"stereo_audio": true,
"use_html_format_email": true,
"virtual_background": true,
"waiting_room": true,
"webinar_chat": true,
"webinar_live_streaming": true,
"webinar_polling": true,
"webinar_question_answer": true,
"webinar_survey": true,
"whiteboard": true,
"meeting_summary_with_ai_companion": {
"locked": true,
"auto_enable_locked": true,
"who_will_receive_summary_locked": true,
"summary_template_locked": true
},
"ai_companion_questions": {
"locked": true,
"auto_enable_locked": true,
"who_can_ask_questions_locked": true
}
},
"other_options": {
"blur_snapshot": true
},
"recording": {
"account_user_access_recording": true,
"auto_delete_cmr": true,
"auto_recording": true,
"cloud_recording": true,
"cloud_recording_download": true,
"host_delete_cloud_recording": true,
"ip_address_access_control": {
"enable": true,
"ip_addresses_or_ranges": "200.181.108.17 - 220.181.108.157"
},
"local_recording": true,
"prevent_host_access_recording": true,
"recording_authentication": true,
"archive": true
},
"schedule_meeting": {
"audio_type": true,
"embed_password_in_join_link": true,
"force_pmi_jbh_password": true,
"host_video": true,
"join_before_host": true,
"meeting_authentication": true,
"mute_upon_entry": true,
"participant_video": true,
"pstn_password_protected": true,
"require_password_for_instant_meetings": true,
"require_password_for_pmi_meetings": true,
"require_password_for_scheduling_new_meetings": true,
"upcoming_meeting_reminder": true,
"continuous_meeting_chat": true
},
"telephony": {
"telephony_regions": true,
"third_party_audio": true
},
"ai": {
"screen_share_ocr": true,
"meeting_chat_messages": true,
"full_display_names_in_ai_assets": true,
"ai_generated_virtual_backgrounds": true,
"meeting_agenda": true,
"meeting_summary_docs": {
"enable": true,
"share_with_summary_recipients": false
},
"phone_user_ai_notices": {
"enable": true
},
"meeting_summary_retention": {
"enable": true
},
"meeting_coach": {
"enable": true
},
"third_party_meeting_join": {
"enable": true,
"allow_recording": true,
"calendar": {
"enable": true
},
"pre_meeting_email_notification": {
"enable": true
}
},
"smart_recording": {
"enable": true
},
"clips_summarization_generation": {
"enable": true
},
"clips_create_video_with_aic": {
"enable": true
},
"allow_user_create_customize_avatar": {
"enable": true
},
"whiteboard_content_generation": true,
"task_creation_and_management": {
"enable": true
},
"show_conversational_ai_companion": {
"enabled": true,
"enable_zoom_mate": true,
"delete_ai_conversation": true,
"delete_ai_conversation_time": true
},
"ai_panel_in_workplace": {
"enabled": true,
"delete_ai_conversation": true,
"delete_ai_conversation_time": true
},
"enable_ai_on_web": true,
"microsoft_365": {
"enable": true
},
"google": {
"enable": true
},
"web_content": true,
"local_file_uploads": true,
"organization_custom_dictionaries": true,
"third_party_app_tasks": true,
"participant_can_request_aic_in_meeting": false,
"restrict_aic_when_external_user_join_meeting": false,
"restrict_aic_when_restrict_user_join": false,
"restrict_users_from_joining_ai_enabled_meetings": {
"enable": false
},
"meeting_questions": {
"enable": false,
"auto_enable": false,
"who_can_ask_questions": false
},
"meeting_summary": {
"enable": false,
"auto_enable": false,
"who_will_receive_summary": false
},
"meeting_summary_template": {
"enable": false
},
"meeting_summary_default_language": {
"enable": false
},
"meeting_summary_ip_access": {
"enable": false
},
"remind_me_turn_on_aic": false,
"remind_me_turn_on_catch_me_up": false,
"meeting_summary_email_only_mode": false,
"restrict_users_from_deleting_ai_companion_assets": false,
"restrict_users_from_editing_ai_companion_assets": false,
"webinar_summary_ocr": false,
"zoom_events_session_summary": {
"enable": false,
"auto_start": false
},
"chat_summary": true,
"chat_compose": true,
"hub_ai_question_and_file_creation": true,
"canvas_ai_content_generation": true,
"canvas_ai_sentence_completion": true,
"canvas_ai_post_meeting_writing_tasks": true,
"paper_ai_content_generation": true,
"sheets_ai_content_generation": true,
"sheets_ai_formula": true,
"sheets_ai_function": true,
"sheets_ai_resources": true,
"slides_ai_content_generation": true,
"my_notes_meeting_transcription": true,
"my_notes_ai_content_generation": true,
"include_webinar_summary_follow_up_email": {
"enable": false
},
"webinar_summary": {
"enable": false,
"auto_enable": false,
"email_notification": false,
"restrict_share_to_outside_of_organization": false,
"who_will_receive_summary": false
},
"webinar_questions": {
"enable": false,
"auto_enable": false,
"who_can_ask_questions": false
}
}
}
```
##### Status: 400 \*\*HTTP Status Code:\*\* \`400\` \
Bad Request \*\*Error Code:\*\* \`200\` \
Only available for Paid account. \
##### Status: 404 \*\*HTTP Status Code:\*\* \`404\` \
Not Found \*\*Error Code:\*\* \`4130\` \
Group does not exist: {groupId} \
##### Status: 429 \*\*HTTP Status Code:\*\* \`429\` \
Too Many Requests. For more information, see \[rate limits]\(https\://developers.zoom.us/docs/api/rest/rate-limits/).
### Update locked settings
- **Method:** `PATCH`
- **Path:** `/groups/{groupId}/lock_settings`
- **Tags:** Groups
Update a [group's](https://support.zoom.us/hc/en-us/articles/204519819-Group-Management-) locked settings. If you lock a setting, the group members cannot modify it individually.
**Note:** The `force_pmi_jbh_password` field under meeting settings is deprecated as of September 22, 2019.
**Prerequisite**: Pro, Business, or Education account
**[Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:write:admin`
**[Granular Scopes](https://developers.zoom.us/docs/integrations/oauth-scopes-overview/):** `group:update:lock_settings:admin`
**[Rate Limit Label](https://marketplace.zoom.us/docs/api-reference/rate-limits#rate-limits):** `MEDIUM`
#### Parameters
##### `groupId` required
- **In:** `path`
The group's ID.
`string`
##### `option`
- **In:** `query`
Optional query parameters.
- `meeting_security` - View the meeting security settings applied to the user's account.
`string`
#### Request Body
##### Content-Type: application/json
**One of:**
- **`ai`**
`object` — AI lock settings for the account or group.
- **`ai_generated_virtual_backgrounds`**
`boolean` — Whether the ai\_generated\_virtual\_backgrounds setting is locked.
- **`ai_panel_in_workplace`**
`object` — Lock settings for the AI panel in Zoom Workplace.
- **`delete_ai_conversation`**
`boolean` — Whether automatic AI conversation deletion in the AI panel is locked.
- **`delete_ai_conversation_time`**
`boolean` — Whether the AI panel conversation retention period is locked.
- **`enabled`**
`boolean` — Whether the AI panel in Zoom Workplace is locked.
- **`allow_user_create_customize_avatar`**
`object` — Lock settings for clips allow user create customize avatar.
- **`enable`**
`boolean` — Whether the clips allow user create customize avatar is locked.
- **`canvas_ai_content_generation`**
`boolean` — Whether the Canvas AI content generation and revision setting is locked.
- **`canvas_ai_post_meeting_writing_tasks`**
`boolean` — Whether the Canvas post-meeting writing task setting is locked.
- **`canvas_ai_sentence_completion`**
`boolean` — Whether the Canvas AI sentence completion setting is locked.
- **`chat_compose`**
`boolean` — Compose with AI Companion.
- **`chat_summary`**
`boolean` — Summarize with AI Companion.
- **`clips_create_video_with_aic`**
`object` — Lock settings for clips create video with aic.
- **`enable`**
`boolean` — Whether the clips create video with aic is locked.
- **`clips_summarization_generation`**
`object` — Lock settings for clips summarization generation.
- **`enable`**
`boolean` — Whether the clips summarization generation is locked.
- **`enable_ai_on_web`**
`boolean` — Whether Zoom AI on the web is locked.
- **`full_display_names_in_ai_assets`**
`boolean` — Whether the full\_display\_names\_in\_ai\_assets setting is locked.
- **`google`**
`object` — Lock settings for Google data sources.
- **`enable`**
`boolean` — Whether Google data sources are locked.
- **`hub_ai_question_and_file_creation`**
`boolean` — Whether the Hub AI search and file creation setting is locked.
- **`include_webinar_summary_follow_up_email`**
`object` — Lock settings for including the webinar summary in follow-up email.
- **`enable`**
`boolean` — Whether including the webinar summary in follow-up email is locked.
- **`local_file_uploads`**
`boolean` — Whether Local file uploads as an AI data source are locked.
- **`meeting_agenda`**
`boolean` — Whether the meeting\_agenda setting is locked.
- **`meeting_chat_messages`**
`boolean` — Whether the meeting\_chat\_messages setting is locked.
- **`meeting_coach`**
`object` — Lock settings for Meeting Coach with AI.
- **`enable`**
`boolean` — Whether Meeting Coach with AI is locked.
- **`meeting_questions`**
`object` — Zoom AI answers the meeting questions based on what is said in the meeting. If a transcript is retained, participants with access will be able to ask questions after the meeting based on that transcript. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether to automatically allow access when the meeting starts. The Boolean indicates whether this setting is locked.
- **`enable`**
`boolean` — Whether to allow hosts and invited participants to ask questions to AI Companion during a meeting. The Boolean indicates whether this setting is locked.
- **`who_can_ask_questions`**
`boolean` — Defines who can ask questions about this meeting's transcript. The corresponding setting values are \`from\_entire\_meeting\` (all participants and invitees), \`from\_join\_meeting\` (all participants only from when they join), \`host\` (only the meeting host), \`org\` (participants and invitees in the organization), and \`org\_from\_join\_meeting\` (participants in the organization only from when they join). The Boolean indicates whether this setting is locked.
- **`meeting_summary`**
`object` — Allow hosts to generate a summary. Summaries are sent based on sharing permissions after the meeting has ended. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`auto_enable`**
`boolean` — Whether to turn on meeting summary automatically when meetings start. The Boolean indicates whether this setting is locked.
- **`enable`**
`boolean` — Whether to allow hosts to generate a summary. The Boolean indicates whether this setting is locked.
- **`who_will_receive_summary`**
`boolean` — Automatically share summary with. The corresponding setting values are \`host\` (only meeting host), \`alt\_host\` (only meeting host, co-hosts, and alternative hosts), \`organization\` (only meeting host and meeting invitees in our organization), and \`all\` (all meeting invitees including those outside of our organization). The Boolean indicates whether this setting is locked.
- **`meeting_summary_default_language`**
`object` — When this feature is enabled, all meeting summaries will automatically use the language you choose. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — When this feature is enabled, all meeting summaries will automatically use the language you choose. The Boolean indicates whether this setting is locked.
- **`meeting_summary_docs`**
`object` — Lock settings for meeting summary Docs.
- **`enable`**
`boolean` — Whether automatic Zoom Doc creation is locked.
- **`share_with_summary_recipients`**
`boolean` — Whether sharing generated Zoom Docs with meeting summary recipients is locked.
- **`meeting_summary_email_only_mode`**
`boolean` — When this setting is enabled, summaries will only be shared to users by email. Users will not be able to view or edit summaries on the Zoom client or web portal, as the meeting summary will not be retained. The Boolean indicates whether this setting is locked.
- **`meeting_summary_ip_access`**
`object` — Allow meeting summary access only from specific IP address ranges. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether meeting summary access is restricted to specific IP address ranges. The Boolean indicates whether this setting is locked.
- **`meeting_summary_retention`**
`object` — Lock settings for meeting summary retention.
- **`enable`**
`boolean` — Whether automatic meeting summary deletion is locked.
- **`meeting_summary_template`**
`object` — Allow users to select a meeting summary template for their meetings. After the meeting, the summary will be generated into the new template. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether users can select a meeting summary template for their meetings. After the meeting, the summary will be generated into the new template. The Boolean indicates whether this setting is locked.
- **`microsoft_365`**
`object` — Lock settings for Microsoft 365 data sources.
- **`enable`**
`boolean` — Whether Microsoft 365 data sources are locked.
- **`my_notes_ai_content_generation`**
`boolean` — Whether the My Notes AI content generation setting is locked.
- **`my_notes_meeting_transcription`**
`boolean` — Whether the My Notes meeting transcription setting is locked.
- **`organization_custom_dictionaries`**
`boolean` — Whether allowing AI to consume the organization's custom dictionaries is locked.
- **`paper_ai_content_generation`**
`boolean` — Whether the Zoom Paper AI content generation and revision setting is locked.
- **`participant_can_request_aic_in_meeting`**
`boolean` — Participants can request the host to start in-meeting AI features. The Boolean indicates whether this setting is locked.
- **`phone_user_ai_notices`**
`object` — Lock settings for phone user AI notices.
- **`enable`**
`boolean` — Whether phone user AI notices are locked.
- **`remind_me_turn_on_aic`**
`boolean` — If you don't set AI features to auto-start in your meetings, you will be reminded to turn on AI at the beginning of each meeting you host. The Boolean indicates whether this setting is locked.
- **`remind_me_turn_on_catch_me_up`**
`boolean` — When you join a meeting late, you'll get a prompt for AI to summarize what's been discussed so far. The Boolean indicates whether this setting is locked.
- **`restrict_aic_when_external_user_join_meeting`**
`boolean` — Automatically restrict Zoom AI and transcription features when external users or groups join a meeting. The Boolean indicates whether this setting is locked.
- **`restrict_aic_when_restrict_user_join`**
`boolean` — When members of this group join a meeting, Zoom AI features will not be permitted for that session. This will only impact meetings within this organization. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_deleting_ai_companion_assets`**
`boolean` — When enabled, users cannot delete AI assets. Only admins can delete them. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_editing_ai_companion_assets`**
`boolean` — When enabled, users cannot edit AI assets. Only admins can edit them. The Boolean indicates whether this setting is locked.
- **`restrict_users_from_joining_ai_enabled_meetings`**
`object` — Users would be restricted from joining meetings in which AI meeting processing (meeting questions and summary) is allowed. The nested Boolean properties indicate whether the corresponding setting is locked.
- **`enable`**
`boolean` — Whether users are restricted from joining meetings in which AI meeting processing (meeting questions and summary) is allowed. The Boolean indicates whether this setting is locked.
- **`screen_share_ocr`**
`boolean` — Whether the screen\_share\_ocr setting is locked.
- **`sheets_ai_content_generation`**
`boolean` — Whether the Zoom Sheets AI content generation and revision setting is locked.
- **`sheets_ai_formula`**
`boolean` — Whether the Zoom Sheets AI Formula setting is locked.
- **`sheets_ai_function`**
`boolean` — Whether the Zoom Sheets AI Function setting is locked.
- **`sheets_ai_resources`**
`boolean` — Whether the Zoom Sheets AI Resources setting is locked.
- **`show_conversational_ai_companion`**
`object` — Lock settings for the conversational AI companion.
- **`delete_ai_conversation`**
`boolean` — Whether automatic AI conversation deletion is locked.
- **`delete_ai_conversation_time`**
[...]
